Package org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.AnnotationParameterElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.AnnotationParameterElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.AnnotationParameterElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnnotationParameterElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Keyword` | `getEqualsSignKeyword_1()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Assignment` | `getNameAssignment_0()` |
    `org.eclipse.xtext.RuleCall` | `getNameIDTerminalRuleCall_0_0()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.RuleCall` | `getValueAnnotationValueReferenceParserRuleCall_2_0()` |
    `org.eclipse.xtext.Assignment` | `getValueAssignment_2()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationParameterElements

          public AnnotationParameterElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getNameAssignment_0

          public org.eclipse.xtext.Assignment getNameAssignment_0()

    - #### getNameIDTerminalRuleCall_0_0

          public org.eclipse.xtext.RuleCall getNameIDTerminalRuleCall_0_0()

    - #### getEqualsSignKeyword_1

          public org.eclipse.xtext.Keyword getEqualsSignKeyword_1()

    - #### getValueAssignment_2

          public org.eclipse.xtext.Assignment getValueAssignment_2()

    - #### getValueAnnotationValueReferenceParserRuleCall_2_0

          public org.eclipse.xtext.RuleCall getValueAnnotationValueReferenceParserRuleCall_2_0()